Which is the best version to be installed ?

Get help from other users here.

Moderators: Developer, Contributor

Post Reply
atrol
Site Admin
Posts: 7691
Joined: Mar 26, 2008 4:37 pm
Location: Germany

Which is the best version to be installed ?

Post by atrol » Oct 23, 2008 2:38 am

I plan to setup MANTIS in the next few weeks for a new project

If found the last three versions not usable for me:

1.1.2 browser cache broken (--> back button not working)
1.1.3 withdrawn, serious problems bug reporting
1.1.4 user registration not working

Is it better to wait for 1.1.5 (any timeplan) or to install 1.1.1 ?
Please use Search before posting and read the Manual

deboutv
Posts: 507
Joined: Jan 15, 2007 9:31 am
Location: La Ciotat, FRANCE
Contact:

Re: Which is the best version to be installed ?

Post by deboutv » Oct 24, 2008 1:30 am

I am working with 1.1.0 and upgrade approximately one time per year (I don't have time to upgrade every two months).
Want more plugins to customize Mantis?
=> http://deboutv.free.fr/mantis/

Mantis: 1.1.0, 1.1.0a2
PHP: 5.0.4
SQL: MySQL 5.0.19
OS: Linux

dyawlak
Posts: 66
Joined: Dec 07, 2007 11:42 am

Re: Which is the best version to be installed ?

Post by dyawlak » Oct 24, 2008 4:54 am

I'm confused - latest version I can see is 1.1.2

jb_mantis
Posts: 63
Joined: Oct 14, 2008 7:41 am
Location: Columbus, Ohio, USA

Re: Which is the best version to be installed ?

Post by jb_mantis » Oct 24, 2008 8:02 am

Since 1.1.2 is latest stable release, I would go with that.
According to issue [issue]9323[/issue], the browsing cache problem has been resolved.
There were apparently two commits to the code for the fix for 1.1.2 and you should be able to easily implement them if they are not already included in whatever mantis code you obtained.
One other issue I found when we installed 1.1.2 was [issue]9309[/issue]. I recommend you make that patch as well.

I've never tried the "issue" BBCode before, so in case the above issues don't become links:
9323 - http://www.mantisbt.org/bugs/view.php?id=9323
9309 - http://www.mantisbt.org/bugs/view.php?id=9309
-Joe
Mantis Version: 1.1.2
Disclaimer: Answers are based on the Mantis version above and may be inaccurate for newer/older versions which may have different configuration options and/or functionality.

atrol
Site Admin
Posts: 7691
Joined: Mar 26, 2008 4:37 pm
Location: Germany

Re: Which is the best version to be installed ?

Post by atrol » Oct 26, 2008 10:24 am

dyawlak wrote:I'm confused - latest version I can see is 1.1.2
I can understand, that you are confused,

Thera are too many blogs, twitters, php's, forums, RSS, mail-listings, wikis, documenations, ......
which all contain interesting things concerning Mantis

I watched them nearly all, to get the actual state of the last and current versions
I think it would be a good thing to consolidate these informations.

Remember the good DRY principle! Dont't Repeate Yourself !

Let's repeate me: Dont't Repeate Yourself !
Please use Search before posting and read the Manual

atrol
Site Admin
Posts: 7691
Joined: Mar 26, 2008 4:37 pm
Location: Germany

Re: Which is the best version to be installed ?

Post by atrol » Oct 26, 2008 10:25 am

jb_mantis wrote:Since 1.1.2 is latest stable release, I would go with that.
According to issue [issue]9323[/issue], the browsing cache problem has been resolved.
There were apparently two commits to the code for the fix for 1.1.2 and you should be able to easily implement them if they are not already included in whatever mantis code you obtained.
One other issue I found when we installed 1.1.2 was [issue]9309[/issue]. I recommend you make that patch as well.

I've never tried the "issue" BBCode before, so in case the above issues don't become links:
9323 - http://www.mantisbt.org/bugs/view.php?id=9323
9309 - http://www.mantisbt.org/bugs/view.php?id=9309
Thank you,
I considered doing it this way, but this weekend there is much activity of the Mantis developers.
So I hope that we will soon see a 1.1.5
I prefer using a reproducible version, so I can submit issues to version xxxxx and not to version xxxxx with Patches a,b,c, ....
Please use Search before posting and read the Manual

Post Reply